Bug 474234 - confusing menu option needs to be in administration
confusing menu option needs to be in administration
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PolicyKit-gnome (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-02 16:45 EST by Ray Todd Stevens
Modified: 2009-12-08 21:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-08 20:19:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ray Todd Stevens 2008-12-02 16:45:35 EST
Description of problem:


Right now the menu option for modifying the security settings of gnome is in system -> preferences -> system

This is most confusing.  It really more logically should be in system -> administration
Comment 1 Ray Todd Stevens 2008-12-02 18:23:08 EST
This is a separate bug report generated while working on bug 426961.   That bug related to the main login screen not functioning as expected and is not directly related to this issue.
Comment 2 Bug Zapper 2009-11-18 07:40:19 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Ray Todd Stevens 2009-11-25 14:46:40 EST
OK this one ended up apparently being half fixed.  It disappeared out of preferences, but did not seem to make it into the administration menu and has apparently totally disappeared.   What gives?
Comment 4 Ray Todd Stevens 2009-12-04 14:31:13 EST
I have had two other bugs that related to this one.  In working on these I have find that apparently the GUI for managing these security permissions is completely no gone, and you have to modify the config files as text files with a text editor.   We need the GUI back.
Comment 5 Matthias Clasen 2009-12-08 20:19:23 EST
It wasn't a good ui and its not coming back. 
We are planning to bring some configurability back in the context of http://www.fedoraproject.org/wiki/Features/UserAccountDialog
Comment 6 Ray Todd Stevens 2009-12-08 21:13:16 EST
You are pretty much looking at the reason two of my clients have dropped Redhat Enterprise Linux for high availability systems.    The drastic reduction in reliability and security configuration that has been making its way into Fedora has also been creeping into your commercial product.   It is making it nonviable in high reliability environments.
Comment 7 Ray Todd Stevens 2009-12-08 21:16:40 EST
By the way in looking at the project information for this project, I can't see one thing that was in the UI that you say was "not very good" (Actually not to much argument on the quality of the existing system.) which is in the product which you say will be partially be replacing it.

Note You need to log in before you can comment on or make changes to this bug.